summaryrefslogtreecommitdiffhomepage
path: root/pkgtool.sh
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-03-15 12:44:26 +0000
committerLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-03-15 12:44:26 +0000
commite1d4697bc4af580c8bbdb8256fdc90626e18a226 (patch)
tree99c4cf49c4ba57d83bb03512bce0a89a0ac9d9f3 /pkgtool.sh
parentb6a9a1a3c8b98077cce47d579069c42080d17da5 (diff)
downloadmidipix_build-e1d4697bc4af580c8bbdb8256fdc90626e18a226.tar.bz2
midipix_build-e1d4697bc4af580c8bbdb8256fdc90626e18a226.tar.xz
Set -o nounset in addition to +o errexit -o nounset.
groups/000.host_tools.group:libtool_host:${PKG_LIBTOOL}: build w/ `none'. subr/build_init.subr:buildp_init_getopts(): set ${DEFAULT_BUILD_CPUS} prior to ex_pkg_load_vars() call. subr/pkg_{build,install_make}.subr: only pass `LIBTOOL=${PKG_LIBTOOL}' if set and not `none'. vars/libtool_host.vars: removes obsolete vars file.
Diffstat (limited to 'pkgtool.sh')
-rwxr-xr-xpkgtool.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/pkgtool.sh b/pkgtool.sh
index c8dd2bb6..28e6dfd4 100755
--- a/pkgtool.sh
+++ b/pkgtool.sh
@@ -15,7 +15,7 @@ pkgtoolp_info() {
"${_group_name}" 1 "${_pkg_name}" "" "${BUILD_WORKDIR}"; then
_rc=1; _status="Error: failed to set package environment for \`${_pkg_name}'.";
else rtl_log_env_vars "package" $(rtl_get_vars_fast "^PKG_${_pkg_name_uc}");
- if [ -z "${PKG_DEPENDS}" ]; then
+ if [ -z "${PKG_DEPENDS:-}" ]; then
rtl_log_msg info "Package \`%s' has no dependencies." "${_pkg_name}";
else rtl_log_msg info "Direct dependencies of \`%s': %s" "${_pkg_name}" "${PKG_DEPENDS}";
if ! ex_pkg_unfold_depends 1 1 "${_group_name}" "${_pkg_names}" "${_pkg_name}" 0; then
@@ -186,6 +186,6 @@ pkgtool() {
fi;
};
-set +o errexit -o noglob; pkgtool "${@}";
+set +o errexit -o noglob -o nounset; pkgtool "${@}";
# vim:filetype=sh textwidth=0